Page 1 of 1

PHP7.2

Posted: Mon Feb 04, 2019 2:21 pm
by Werner D.
Hello,
what should I pay attention to, if my server provider (Strato), wants to change the PHP version from 5.2 to 7.2. Is Opencart compatible with PHP 7.2 or crashes my homepage from there.
What's the best way to switch to PHP 7.2 without any problems?
Thank you in advance for your reply.
Greetings Werner

Re: PHP7.2

Posted: Mon Feb 04, 2019 10:39 pm
by OSWorX
First you should pay attention that you have not posted which OpenCart Version you are using!
Because, if an older is used, you have to replace the encryption class.
Using OpenCart with php 7.2 works perfectly - can only recommend it!

Re: PHP7.2

Posted: Mon Feb 11, 2019 7:35 am
by IP_CAM
Here is a bunch of PHP-7.x capable encryption files, and they
work in most everything above v.1.5.0 ! But not all of them
still function up to PHP v.7.2x, so try 'em out, one after one.
Ernie

Re: PHP7.2

Posted: Thu Feb 28, 2019 12:28 am
by EvolveWebHosting
If possible, install a copy of your current site in a sub domain and use MultiPHP Manager to set the subdomain to PHP 7.2 and test thoroughly. If you are running OC 2.3.0.2 or newer you should be fine. Modules are the only thing that may cause an issue so remember to test it all.